diff --git a/rssguard.pro b/rssguard.pro
index 21a897c7..f8eb8d28 100755
--- a/rssguard.pro
+++ b/rssguard.pro
@@ -41,8 +41,8 @@ TARGET = rssguard
 
 message(rssguard: Welcome RSS Guard qmake script.)
 
-lessThan(QT_MAJOR_VERSION, 5)|lessThan(QT_MINOR_VERSION, 7) {
-  warning(rssguard: At least Qt \"5.7.0\" is required!!!)
+lessThan(QT_MAJOR_VERSION, 5)|lessThan(QT_MINOR_VERSION, 9) {
+  warning(rssguard: At least Qt \"5.9.0\" is required!!!)
 }
 
 APP_NAME                      = "RSS Guard"
diff --git a/src/miscellaneous/textfactory.cpp b/src/miscellaneous/textfactory.cpp
index 53451d63..f371d02d 100755
--- a/src/miscellaneous/textfactory.cpp
+++ b/src/miscellaneous/textfactory.cpp
@@ -10,10 +10,11 @@
 
 #include <QDir>
 #include <QLocale>
-#include <QRandomGenerator>
 #include <QString>
 #include <QStringList>
 
+#include <random>
+
 quint64 TextFactory::s_encryptionKey = 0x0;
 
 TextFactory::TextFactory() = default;
@@ -128,7 +129,10 @@ quint64 TextFactory::initializeSecretEncryptionKey() {
     QString encryption_file_path = qApp->settings()->pathName() + QDir::separator() + ENCRYPTION_FILE_NAME;
 
     try {
-      s_encryptionKey = quint64(QString(IOFactory::readFile(encryption_file_path)).toLongLong());
+      s_encryptionKey = quint64(QString(IOFactory::readFile(encryption_file_path)).toULongLong());
+
+      auto aa = s_encryptionKey;
+      auto bb = false;
     }
     catch (ApplicationException&) {
       // Well, key does not exist or is invalid, generate and save one.
@@ -148,5 +152,10 @@ quint64 TextFactory::initializeSecretEncryptionKey() {
 }
 
 quint64 TextFactory::generateSecretEncryptionKey() {
-  return QRandomGenerator().generate64();
+  std::random_device rd;
+  std::mt19937 mt(rd());
+  std::uniform_int<quint64> dist(std::numeric_limits<quint64>().min() + 1000000UL,
+                                 std::numeric_limits<quint64>().max());
+
+  return dist(mt);
 }
